@echo off
: This script will launch the ProfileMigration.ps1 PowerShell script

SetLocal

:: Set the folder location of the Flex Profiles installation where FlexEngine.exe is.
::Set PRGDIR=%ProgramFiles%\Immidio\Flex Profiles
Set PRGDIR=%~dp0
Set PRGDIR=%PRGDIR:~0,-1%

IF /I "%1"=="Export" GOTO Export
IF /I "%1"=="Import" GOTO Import
GOTO Finish

:Export
powershell.exe -ExecutionPolicy Bypass -Command "& '"%PRGDIR%\ProfileMigration.ps1"' -Export -ProcessAllIniFiles -ShowUI -HideConsole"

GOTO Finish

:Import
powershell.exe -ExecutionPolicy Bypass -Command "& '"%PRGDIR%\ProfileMigration.ps1"' -Import -ProcessAllIniFiles -ShowUI -HideConsole"

:Finish
echo Exiting...
EndLocal
Exit
